> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List categories

> Retrieve all of the product categories for the organization.



## OpenAPI

````yaml GET /api/v1/product-categories
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/product-categories:
    get:
      description: Retrieve all of the product categories for the organization.
      parameters: []
      responses:
        '200':
          description: Product categories response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: The ID of the category
                  name:
                    type: string
                    description: The name of the category
                  cannabisType:
                    type: string
                    description: >-
                      The type of cannabis content all products in this category
                      have. This is used to calculate purchase limits.


                      - `non-concentrated` - Used for flower. Cannabis content
                      will be measured in grams (g) 
                       - `concentrated` - Used for derived, concentrated products such as edibles or concentrates. Content measured in milligrams (mg) 
                       - `mi-infused-solids` - Used for infused solids only in the state of Michigan. Content measured in ounces (oz) 
                       - `mi-infused-fluids` - Used for infused fluids such as drinks only in the state of Michigan. Content measured in fluid ounces (oz) 
                       - `edibles` - All edibles (used in New Jersey & Massachusetts). Content measured in milligrams (mg) 
                       - `immature-plant` - Used for cannabis plants (i.e. clones). 
                       - `none` - This category does not contain cannabis products.
                    enum:
                      - non-concentrated
                      - concentrated
                      - mi-infused-solids
                      - mi-infused-fluids
                      - edibles
                      - immature-plant
                      - none
              example:
                data:
                  - id: 286
                    name: Flower
                    createdAt: '2023-12-16T02:51:28.738Z'
                    updatedAt: '2023-12-16T02:51:28.738Z'
                    cannabisType: non-concentrated
                  - id: 287
                    name: Prerolls
                    createdAt: '2023-12-16T02:51:28.739Z'
                    updatedAt: '2023-12-16T02:51:28.739Z'
                    cannabisType: non-concentrated
                  - id: 288
                    name: Edibles
                    createdAt: '2023-12-16T02:51:28.741Z'
                    updatedAt: '2023-12-16T02:51:28.741Z'
                    cannabisType: concentrated
                  - id: 289
                    name: Concentrates
                    createdAt: '2023-12-16T02:51:28.742Z'
                    updatedAt: '2023-12-16T02:51:28.742Z'
                    cannabisType: concentrated
                  - id: 291
                    name: Accessories
                    createdAt: '2023-12-16T02:51:28.745Z'
                    updatedAt: '2023-12-16T02:51:28.745Z'
                    cannabisType: none
                  - id: 295
                    name: Clones
                    createdAt: '2023-12-16T02:51:49.228Z'
                    updatedAt: '2023-12-16T02:51:49.228Z'
                    cannabisType: immature-plant
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````